> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcarbon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Payout Approvals

> This endpoint retrieves a list of all payout requests that are pending approval.

## Overview

This endpoint allows you to retrieve a list of all payout requests that are currently pending approval. You can also include expired approval requests in the results.

### Request

**Method:** `GET`\
**URL:** `/v1/payouts/approvals`

#### Parameters

| Name              | In     | Type      | Required | Description                                 |
| ----------------- | ------ | --------- | -------- | ------------------------------------------- |
| `x-carbon-key`    | Header | `string`  | Yes      | API key for authentication.                 |
| `include_expired` | Query  | `boolean` | No       | Set to `true` to include expired approvals. |

### Response

**Status Code:** `200 OK`\
**Content-Type:** `application/json`

<ResponseExample>
  ```json theme={null}
  {
      "status": "success",
      "message": "Payout approvals fetched successfully",
      "data": [
          {
              "id": 3,
              "authorization_code": "TRF-1771322171170DVXV8",
              "status": "pending",
              "amount": 20000,
              "beneficiary": {
                  "account_name": "DOE JOHN",
                  "account_number": "9002118329",
                  "bank_name": null,
                  "bank_code": "305"
              },
              "client_id": "551210620",
              "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
              "currency": "NGN",
              "expires_at": "2026-02-17T10:26:19.000000Z",
              "approved_by": null,
              "approved_at": null,
              "rejection_reason": null,
              "created_at": "2026-02-17T09:56:19.000000Z",
              "updated_at": "2026-02-17T09:56:19.000000Z",
              "is_expired": true,
              "is_pending": false
          },
          {
              "id": 2,
              "authorization_code": "TRF-1771322053739RY1V2",
              "status": "pending",
              "amount": 20000,
              "beneficiary": {
                  "account_name": "DOE JOHN",
                  "account_number": "9002118329",
                  "bank_name": null,
                  "bank_code": "305"
              },
              "client_id": "551210620",
              "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
              "currency": "NGN",
              "expires_at": "2026-02-17T10:24:21.000000Z",
              "approved_by": null,
              "approved_at": null,
              "rejection_reason": null,
              "created_at": "2026-02-17T09:54:21.000000Z",
              "updated_at": "2026-02-17T09:54:21.000000Z",
              "is_expired": true,
              "is_pending": false
          },
          {
              "id": 1,
              "authorization_code": "TRF-1771321717028NT4TF",
              "status": "pending",
              "amount": 20000,
              "beneficiary": {
                  "account_name": "DOE JOHN",
                  "account_number": "9002118329",
                  "bank_name": null,
                  "bank_code": "305"
              },
              "client_id": "551210620",
              "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
              "currency": "NGN",
              "expires_at": "2026-02-17T10:18:44.000000Z",
              "approved_by": null,
              "approved_at": null,
              "rejection_reason": null,
              "created_at": "2026-02-17T09:48:44.000000Z",
              "updated_at": "2026-02-17T09:48:44.000000Z",
              "is_expired": true,
              "is_pending": false
          }
      ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml GET /v1/payouts/approvals
openapi: 3.0.0
info:
  title: Carbon Business API
  description: >-
    ## Welcome to our API Developer Documentation


    Carbon aims to unlock the full potential of your business with a
    feature-rich account designed for growth.


    ## Integrations


    We aim to provide our APIs for developers and businesses to offer financial
    services to their existing customer base through REST APIs without doing the
    heavy lifting. Our API has predictable resource-oriented URLs, accepts
    form-encoded request bodies, returns JSON-encoded responses, and uses
    standard HTTP response codes, authentication, and verbs.


    ### Authentication


    `Authorization : API Key`


    Header  

    `x-carbon-key : value`


    `x-carbon-key` can be generated via developer page on Carbon Business


    | Environment | URL |

    | --- | --- |

    | Live |  |

    | Sandbox |
    [https://carbonapistagingsecure.getcarbon.co/baas/api](https://carbonapistagingsecure.getcarbon.co/baas/api)
    |


    ### **Handling Errors**


    We use the conventional HTTP response codes to indicate the success or
    failure of an API request.  

    Codes in the 2xx range indicate success. Codes in the 4xx range indicate an
    error that failed given the information provided (e.g., a required parameter
    was omitted, etc.). Codes in the 5xx range indicate an error with our
    servers.


    | Error | Description |

    | --- | --- |

    | 400 - Bad Request | The request was unacceptable, often due to missing a
    required parameter. |

    | 401 - Unauthorized | Not a valid API key was provided. |

    | 402 - Request Failed | The parameters were valid but the request failed. |

    | 403 - Forbidden | The API key doesn't have permission to perform the
    request. |

    | 404 - Not Found | The requested resource doesn't exist. |

    | 429 - Too Many Requests | Too many requests hit the API |

    | 500, 502, 503, 504 - Server Errors | System Error |
  version: 1.0.0
servers:
  - url: https://carbonapistagingsecure.getcarbon.co/baas/api
    description: >-
      Replace {{base_url}} with your API base URL (e.g.,
      https://api.example.com)
security:
  - apikeyAuth: []
tags:
  - name: Accounts
    description: >-
      Virtual accounts are generated account details (account number and bank)
      that allow Carbon Business merchants to receive payments from customers
      via NGN bank transfer. This is currently only available in naira (NGN).


      Virtual accounts are either dynamic (temporary) or static (permanent). A
      dynamic account number expires after handling a transaction, while a
      static account number doesn't expire.


      **Static Account**


      Creating static accounts can be useful when receiving recurring payments
      through bank transfers. The process involves generating a static virtual
      account with customer information. Once payment is made, we will send you
      a webhook notification, which you can then manage.


      **Dynamic Account**


      Creating dynamic accounts can be useful when receiving one-time payments
      through bank transfers. The process involves generating a dynamic virtual
      account with a set amount for the customer during checkout. Once payment
      is made, we will send you a webhook notification, which you can then
      manage.


      Key things you can do with these endpoints:


      - Create an account

      - Retreive an account

      - Verify Transaction

      - Retreive a list of transactions
  - name: Accounts > Transactions
  - name: Banks
    description: |-
      - Get a list of banks and financial institutions
      - Verify/resolve account details
  - name: Customers
    description: >-
      This collection contains a set of API endpoints to manage customer-related
      operations for an application. The endpoints allow for creating a new
      customer, retrieving a list of all customers, and fetching details of a
      single customer.


      - Create Customer
          
      - Fetch Customer/Customers
  - name: Payout
    description: |-
      - Make Transfer
      - Verify Transfer
  - name: Status
    description: '- Service Health check'
  - name: Verification
  - name: Webhook
    description: |-
      ## EVENTS

      `account.incoming-transaction`

      ``` json
      {
          "event": "account.incoming-transaction",
          "data": {
              "id": "string",
              "amount": "float",
              "currency": "string",
              "transactionType": "string",
              "entryDate": "datetime",
              "uniqueRef": "string",
              "account": {
                  "id": "string",
                  "bankAccount": {
                      "accountName": "string",
                      "accountNumber": "string",
                      "bank": {
                          "code": "string",
                          "name": "string"
                      }
                  },
                  "static": boolean,
                  "currency": "string",
                  "clientId": "string"
              }
            }
      }

       ```

      `account.outgoing-transaction`

      ``` json
      {
          "event": "account.outgoing-transaction",
          "data": {
              "id": "string",
              "amount": "float",
              "currency": "string",
              "transactionType": "string",
              "entryDate": "datetime",
              "uniqueRef": "string",
              "account": {
                  "id": "string",
                  "bankAccount": {
                      "accountName": "string",
                      "accountNumber": "string",
                      "bank": {
                          "code": "string",
                          "name": "string"
                      }
                  },
                  "static": boolean,
                  "currency": "string",
                  "clientId": "string"
              }
          }
      }

       ```
  - name: Loans
    description: >-
      Partner lending API. Enables fintech partners to originate business loans
      for their end-customers.


      - Enroll customers for lending and trigger KYC

      - Submit loan applications and supporting documents

      - Manage offer acceptance, disbursement account, and post-offer steps

      - Charge repayments and retrieve repayment schedules
paths:
  /v1/payouts/approvals:
    get:
      tags:
        - Payout
      summary: Get Pending Payout Approvals
      description: >-
        This endpoint retrieves a list of all payout requests that are currently
        pending approval.  You can optionally include expired approval requests
        in the results by setting the  `include_expired` parameter to true.


        ### Response


        - `status` (string): The status of the request.

        - `message` (string): A message related to the request.

        - `data` (array): An array of payout approval objects containing:
            - `id` (number): The unique identifier of the approval request.
            - `authorization_code` (string): The unique authorization code for the payout.
            - `status` (string): The current status of the payout approval.
            - `amount` (number): The payout amount.
            - `beneficiary` (object): Details of the beneficiary including account information.
            - `client_id` (string): The client identifier.
            - `narration` (string): The transaction narration/description.
            - `currency` (string): The currency of the payout.
            - `expires_at` (string): The expiration timestamp of the approval request.
            - `approved_by` (string|null): The ID of the user who approved the request.
            - `approved_at` (string|null): The timestamp when the request was approved.
            - `rejection_reason` (string|null): The reason for rejection if applicable.
            - `created_at` (string): The creation timestamp.
            - `updated_at` (string): The last update timestamp.
            - `is_expired` (boolean): Indicates if the approval request has expired.
            - `is_pending` (boolean): Indicates if the approval is still pending.


        ### Example Response


        ``` json

        {
            "status": "success",
            "message": "Payout approvals fetched successfully",
            "data": [
                {
                    "id": 3,
                    "authorization_code": "TRF-1771322171170DVXV8",
                    "status": "pending",
                    "amount": 20000,
                    "beneficiary": {
                        "account_name": "DOE JOHN",
                        "account_number": "9002118329",
                        "bank_name": null,
                        "bank_code": "305"
                    },
                    "client_id": "551210620",
                    "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
                    "currency": "NGN",
                    "expires_at": "2026-02-17T10:26:19.000000Z",
                    "approved_by": null,
                    "approved_at": null,
                    "rejection_reason": null,
                    "created_at": "2026-02-17T09:56:19.000000Z",
                    "updated_at": "2026-02-17T09:56:19.000000Z",
                    "is_expired": true,
                    "is_pending": false
                }
            ]
        }

         ```
      parameters:
        - name: x-carbon-key
          in: header
          schema:
            type: string
          required: true
          example: '{{access_token}}'
        - name: include_expired
          in: query
          schema:
            type: boolean
          required: false
          example: true
      responses:
        '200':
          description: OK
          headers:
            Content-Security-Policy:
              schema:
                type: string
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    apikeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Provide your API key in the 'apikey' header.

````